Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.RenderConfig Class Reference

## Public Member Functions
| RenderConfig ()
| Constructor.
| RenderConfig (int graphics_objs_count_in_one_step)
| Constructor, with parameter. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getGraphics_objs_count_in_one_step ()
| Get the count of graphics objects to be rendered in one step during progressive rendering process. More...
void | set (int graphics_objs_count_in_one_step)
| Set value. More...
void | setGraphics_objs_count_in_one_step (int value)
| Set the count of graphics objects to be rendered in one step during progressive rendering process. More...

## Detailed Description

This class represents rendering configuration which is a global configuration. This configuration can be retrieved by function Library.getRenderConfig and be set by function Library.setRenderConfig .

## Constructor & Destructor Documentation

## ◆ RenderConfig()

com.foxit.sdk.common.RenderConfig.RenderConfig | ( | int | graphics_objs_count_in_one_step | ) |

Constructor, with parameter.

Parameters

  [in] | graphics_objs_count_in_one_step | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.common.RenderConfig.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getGraphics_objs_count_in_one_step()

com.foxit.sdk.common.RenderConfig.getGraphics_objs_count_in_one_step | ( |  | ) |

Get the count of graphics objects to be rendered in one step during progressive rendering process.

In Foxit PDF SDK, rendering process can be progressive – that means the rendering process will be separated into many steps and during each step a certain count of graphics objects will be rendered. When one step is finished, Foxit PDF SDK will check and ask user whether current process needs to be paused or not (if a is used for the process of Renderer.startRender ). This certain count is just used as a suggestion for Foxit PDF SDK to decide when to check during progressive rendering process, but cannot fully control the number of steps in a progressive rendering process. For example, when a form XObject or a shading object is to be rendered, Foxit PDF SDK will ask user whether current process needs to be paused or not, without considering this count.

Returns
  The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

## ◆ set()

void com.foxit.sdk.common.RenderConfig.set | ( | int | graphics_objs_count_in_one_step | ) |

Set value.

Parameters

  [in] | graphics_objs_count_in_one_step | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

@ return None.

## ◆ setGraphics_objs_count_in_one_step()

com.foxit.sdk.common.RenderConfig.setGraphics_objs_count_in_one_step | ( | int | value | ) |

Set the count of graphics objects to be rendered in one step during progressive rendering process.

In Foxit PDF SDK, rendering process can be progressive – that means the rendering process will be separated into many steps and during each step a certain count of graphics objects will be rendered. When one step is finished, Foxit PDF SDK will check and ask user whether current process needs to be paused or not (if a is used for the process of Renderer.startRender ). This certain count is just used as a suggestion for Foxit PDF SDK to decide when to check during progressive rendering process, but cannot fully control the number of steps in a progressive rendering process. For example, when a form XObject or a shading object is to be rendered, Foxit PDF SDK will ask user whether current process needs to be paused or not, without considering this count.

Parameters

  [in] | value | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

Returns
  None.